/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/base.glsl"), digest: "b14895de76d4a441"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush.glsl"), digest: "668724cad9a3df80"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_blend.glsl"), digest: "17b06c5efe78b5f6"});
    shaders.insert("brush_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_conic_gradient.glsl"), digest: "78a8f2ce88fbd316"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_image.glsl"), digest: "391ccf31a7884bd6"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "3e580f7215967229"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "e7ef4644ca7787c0"});
    shaders.insert("brush_multi", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_multi.glsl"), digest: "74012da1739db4ab"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "a661802a0f160305"});
    shaders.insert("brush_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_radial_gradient.glsl"), digest: "a7951c54caa79c8b"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_solid.glsl"), digest: "c8fd87885cdc1633"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "e919e813108d06dd"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/clip_shared.glsl"), digest: "cd80643595e1061a"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/composite.glsl"), digest: "5d13c02cef6f20ba"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_blur.glsl"), digest: "409f2cc9da6c47d6"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "d92f89572e33daae"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "21000ec494528a42"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "9df715e66dd00878"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "984cf583256f1cd4"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "37c75d9cb2b41a7"});
    shaders.insert("cs_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_gradient.glsl"), digest: "138aedc206fda172"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "cc1f65df69d1a7bb"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_scale.glsl"), digest: "693bcf1bfd077ce5"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "f1a4fb9bb7b681e3"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/debug_color.glsl"), digest: "c807ebc46aa8b3a7"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/debug_font.glsl"), digest: "8da52bdc4ea28fd6"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/ellipse.glsl"), digest: "1e032a973f70cdac"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "a2bac6d1bcff1991"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "810e56579bee2fad"});
    shaders.insert("pf_vector_cover", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/pf_vector_cover.glsl"), digest: "a47be1df7b779e69"});
    shaders.insert("pf_vector_stencil", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/pf_vector_stencil.glsl"), digest: "cabeeb7c32f8cb1d"});
    shaders.insert("pls_init", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/pls_init.glsl"), digest: "652498fd154d7495"});
    shaders.insert("pls_resolve", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/pls_resolve.glsl"), digest: "d0a4548ea4230612"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/prim_shared.glsl"), digest: "eda11bf5d37b2795"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "13c8c2e7b1b85159"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "2871302a0dc344de"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/rect.glsl"), digest: "f76a75fecfd22688"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/render_task.glsl"), digest: "962a4083be1b63d0"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/shared.glsl"), digest: "ce6edf74cc6cac92"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/transform.glsl"), digest: "b9c88128cc4fb48c"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-77.0.1/gfx/wr/webrender/res/yuv.glsl"), digest: "f246dfae5ca3bfb5"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_blend_Gl.frag"),
        digest: "10c3eff0b3e5e740",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "af87731bab9efca8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "6475d7a855dd0337",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_conic_gradient_Gl.frag"),
        digest: "70234d9e5e2670d7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_conic_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_conic_gradient_ALPHA_PASS_Gl.frag"),
        digest: "6904957936ee1c15",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "29f1dc6e704af130",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_Gl.frag"),
        digest: "3c59380f9cec170c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_ALPHA_PASS_Gl.frag"),
        digest: "51acbfaab769a066",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ADVANCED_BLEND"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_ALPHA_PASS_ADVANCED_BLEND_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_ALPHA_PASS_ADVANCED_BLEND_Gl.frag"),
        digest: "eb2beb9ff77cbf16",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "d87720a984ca68e2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_DEBUG_OVERDRAW_Gl.frag"),
        digest: "c8e71334638587c5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_REPETITION_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_Gl.frag"),
        digest: "e38b9195531804c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_REPETITION_ANTIALIASING_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_Gl.frag"),
        digest: "f8c86038500a3978",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND_Gl.frag"),
        digest: "608fc9d35a72a7de",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "d5f9947700909c66",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_REPETITION_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_REPETITION_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "d15d951c919ec354",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "38f6bd7611005d48",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_ALPHA_PASS_Gl.frag"),
        digest: "5cc279956c0fe8ce",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_ALPHA_PASS_ADVANCED_BLEND"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_ALPHA_PASS_ADVANCED_BLEND_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_ALPHA_PASS_ADVANCED_BLEND_Gl.frag"),
        digest: "86ca705e1fec7205",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "9f6eb470a9e227da",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_DEBUG_OVERDRAW_Gl.frag"),
        digest: "ceb38c2b2f02636f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_REPETITION_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_Gl.frag"),
        digest: "92179b9733402f17",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_Gl.frag"),
        digest: "8d41503607ff060a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND_Gl.frag"),
        digest: "59a856dff36a29bc",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "f25201911be9721e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_2D_REPETITION_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "ab78ec08df45f9aa",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "bc549d2d6ff963a9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_ALPHA_PASS_Gl.frag"),
        digest: "926619282ccd1ee",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_ALPHA_PASS_ADVANCED_BLEND"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_ALPHA_PASS_ADVANCED_BLEND_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_ALPHA_PASS_ADVANCED_BLEND_Gl.frag"),
        digest: "a58b8f60413f2b2f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "93065ac3a4e07976",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_DEBUG_OVERDRAW_Gl.frag"),
        digest: "2c8fb46bf239bc2c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_Gl.frag"),
        digest: "2fccbd53f685718",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_Gl.frag"),
        digest: "ce54f1526646b322",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_ADVANCED_BLEND_Gl.frag"),
        digest: "6c0138366a6cb5ec",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "76e891d8fe6746b7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_image_TEXTURE_RECT_REPETITION_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "27f45b7de45d333b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_linear_gradient_Gl.frag"),
        digest: "918ca32027752ebc",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "6877b1e7064e0a97",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "4e140335872ac722",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_mix_blend_Gl.frag"),
        digest: "ac3b213b41624ef1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "f326bf9dec291c5c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "47a1e272c13444cf",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_opacity_Gl.frag"),
        digest: "87db10f37a03cc09",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "75d5603290ff7724",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "84efcd8518d4c1a8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_radial_gradient_Gl.frag"),
        digest: "d986f27ec39fa042",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_radial_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_radial_gradient_ALPHA_PASS_Gl.frag"),
        digest: "d6c3bb4db740a961",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "8a60a6a4c03c0484",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_solid_Gl.frag"),
        digest: "7ae103e58dff7443",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "f3ad8aa5754c692b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "3cef8b498db7d53a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_Gl.frag"),
        digest: "a316e314ed354630",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_ALPHA_PASS_Gl.frag"),
        digest: "58fafc3e7afb8ad2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_DEBUG_OVERDRAW_Gl.frag"),
        digest: "107d3f92b915e7aa",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_2D_Gl.frag"),
        digest: "f0528e7958a4bfe6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_TEXTURE_2D_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_2D_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_2D_ALPHA_PASS_Gl.frag"),
        digest: "33c67e1772ab3f02",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_TEXTURE_2D_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_2D_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_2D_DEBUG_OVERDRAW_Gl.frag"),
        digest: "79357b896b175d78",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_RECT_Gl.frag"),
        digest: "30781fa366346fc6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_TEXTURE_RECT_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_RECT_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_RECT_ALPHA_PASS_Gl.frag"),
        digest: "698f24ecb50a7a75",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV_TEXTURE_RECT_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_RECT_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/brush_yuv_image_YUV_TEXTURE_RECT_DEBUG_OVERDRAW_Gl.frag"),
        digest: "5e4cfea06374317",
    });
    shaders.insert((ShaderVersion::Gl, "composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_Gl.frag"),
        digest: "a723cb563b5176c9",
    });
    shaders.insert((ShaderVersion::Gl, "composite_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_YUV_Gl.frag"),
        digest: "c80b4dc234518fd4",
    });
    shaders.insert((ShaderVersion::Gl, "composite_YUV_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_YUV_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_YUV_TEXTURE_2D_Gl.frag"),
        digest: "778317670e66e667",
    });
    shaders.insert((ShaderVersion::Gl, "composite_YUV_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_YUV_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/composite_YUV_TEXTURE_RECT_Gl.frag"),
        digest: "cf1c28c8cf3bb03e",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "dcaf26be88fdd000",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "ebcc3f9bb4268848",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_border_segment_Gl.frag"),
        digest: "c1a5aa02d87c015",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_border_solid_Gl.frag"),
        digest: "b847c00ccf7353af",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_box_shadow_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_box_shadow_Gl.frag"),
        digest: "1907572d1e22a044",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_image_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_image_Gl.frag"),
        digest: "7359aab7d9d1a601",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_rectangle_Gl.frag"),
        digest: "cb03f62bfb58d25a",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "c2fc9eddd07abaa9",
    });
    shaders.insert((ShaderVersion::Gl, "cs_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_gradient_Gl.frag"),
        digest: "d608a8a7cbf7b607",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_line_decoration_Gl.frag"),
        digest: "7930be0383b9bce4",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_scale_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_scale_Gl.frag"),
        digest: "fe3b3f3fdab6d142",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/cs_svg_filter_Gl.frag"),
        digest: "94007c8c41a48fba",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_split_composite_Gl.frag"),
        digest: "33e60dccdf100fb2",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_ALPHA_PASS_Gl.frag"),
        digest: "6e355c28ca9a5947",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DEBUG_OVERDRAW_Gl.frag"),
        digest: "c5165c6d5a606acb",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DUAL_SOURCE_BLENDING_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DUAL_SOURCE_BLENDING_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DUAL_SOURCE_BLENDING_ALPHA_PASS_Gl.frag"),
        digest: "52a872f31aa20569",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DUAL_SOURCE_BLENDING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DUAL_SOURCE_BLENDING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DUAL_SOURCE_BLENDING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "1c12e5020edf0bb5",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_ALPHA_PASS_Gl.frag"),
        digest: "21edfe40ee1d0ff2",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_GLYPH_TRANSFORM_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_GLYPH_TRANSFORM_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-77.0.1/objdir/x86_64-unknown-linux-gnu/release/build/webrender-1531fa75668bd426/out/ps_text_run_GLYPH_TRANSFORM_ALPHA_PASS_Gl.frag"),
        digest: "fc4510892bbd717c",
    });
    shaders
  };
}
